<?php
/**
 * Form to Request a quote
 *
 * @package YITH Woocommerce Request A Quote
 * @since   1.0.0
 * @version 1.0.0
 * @author  Yithemes
 */
$current_user = array();
if ( is_user_logged_in() ) {
    $current_user = get_user_by( 'id', get_current_user_id() );
}

$user_name = ( ! empty( $current_user ) ) ?  $current_user->display_name : '';
$user_email = ( ! empty( $current_user ) ) ?  $current_user->user_email : '';
?>
<div class="yith-ywraq-mail-form-wrapper">
    <h3><?php esc_html_e( 'Send the request', 'hardware-store' ) ?></h3>

    <form id="yith-ywraq-mail-form" name="yith-ywraq-mail-form" action="<?php echo esc_url( YITH_Request_Quote()->get_raq_page_url() ) ?>" method="post">

        <p class="form-row form-row-wide validate-required" id="rqa_name_row">
            <label for="rqa-name" class=""><?php esc_html_e( 'Name', 'hardware-store' ) ?>
                <abbr class="required" title="required">*</abbr></label>
            <input type="text" class="input-text " name="rqa_name" id="rqa-name" placeholder="" value="<?php echo esc_attr( $user_name ); ?>" required>
        </p>

        <p class="form-row form-row-wide validate-required" id="rqa_email_row">
            <label for="rqa-email" class=""><?php esc_html_e( 'Email', 'hardware-store' ) ?>
                <abbr class="required" title="required">*</abbr></label>
            <input type="email" class="input-text " name="rqa_email" id="rqa-email" placeholder="" value="<?php echo sanitize_email( $user_email ) ?>" required>
        </p>
        <!-- add phone number -->
        <p class="form-row form-row-wide validate-required" id="rqa_phonenumber_row">
            <label for="rqa-email" class=""><?php esc_html_e( 'Phone Number', 'hardware-store' ) ?>
            <input type="text" class="input-text " name="rqa_phonenumber" id="rqa-email" placeholder="<?php esc_attr_e( 'xx-xxxx' ); ?>">
        </p>

        <!-- add company name -->
        <p class="form-row form-row-wide validate-required" id="rqa_companyname_row">
            <label for="rqa-company" class=""><?php esc_attr_e( 'Company Name', 'hardware-store' ) ?>
            <input type="text" class="input-text " name="rqa_company" id="rqa-company" placeholder="<?php esc_attr_e( 'Company Name', 'hardware-store' ); ?>">
        </p>

        <p class="form-row" id="rqa_message_row">
            <label for="rqa-message" class=""><?php esc_html_e( 'Message', 'hardware-store' ) ?></label>
            <textarea name="rqa_message" class="input-text " id="rqa-message" placeholder="<?php esc_html_e( 'Notes on your request...', 'hardware-store' ) ?>" rows="5" cols="5"></textarea>
        </p>

        <p class="form-row">
            <input type="hidden" id="raq-mail-wpnonce" name="raq_mail_wpnonce" value="<?php echo wp_create_nonce( 'send-request-quote' ) ?>">
            <input class="button raq-send-request" type="submit" value="<?php esc_html_e( 'Send Your Request', 'hardware-store' ) ?>">
        </p>

    </form>
</div>